

/* definition du type de la structure logique descripteur
	correspondant a l'en tete de fichier .lena	*/


typedef struct t_decri {
	int nx;		/* nombre de pixels par ligne 	*/
	int ny;		/* nombre de lignes 		*/
	int nz;		/* nombre d'octets par pixel	*/
	int typ;	/*nature de la valeur du pixel:
							0:entier
					           	1:reel	
							2:ASCII	*/	
	char nature[14];	/* 	INTENSITE
					REGION
					CONTOUR
					SQUELETTE
					DISTANCE		*/

	char chemin[64];	/*	chainage vers un autre 
					fichier			*/
	char libre[32];		/*	neant			*/
	char comment[128];	/*	commentaire		*/

}descripteur;


/* definition du type de la structure associee a toute image  	*/

typedef struct t_image {
	descripteur *p_dec;	/* pointeur vers la structure 
				logique corespondant a l'en-tete */

	FILE *p_octet;		/* pointeur vers le fichier 
				   ouvert			*/	
}image;


typedef	struct
		{	int		fenetrage;		/* 1 si fenetrage demande */

			int		x0, y0,			/* coordonnees de l'origine */
					dx, dy;			/* dimensions de la fenetre */
		}	FENETRE;


/**/

